-- 考生字典管理权限设置
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1101', '分页查询', '/api/admin/basic/exam_student/page', 'URL', '1100', '1', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1102', '新增/编辑', '/api/admin/basic/exam_student/save', 'URL', '1100', '2', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1103', '导入', '/api/admin/basic/exam_student/import', 'URL', '1100', '3', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1104', '导出', '/api/admin/basic/exam_student/export', 'URL', '1100', '4', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1105', '批量删除', '/api/admin/basic/exam_student/delete', 'URL', '1100', '5', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('1106', '查询', 'Select', 'BUTTON', '1100', '1', 'AUTH', '1101', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('1107', '查询条件', 'Condition', 'CONDITION', '1100', '3', 'AUTH', '1101', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('1108', '列表', 'List', 'LIST', '1100', '2', 'AUTH', '1101', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('1109', '新增', 'Add', 'BUTTON', '1100', '4', 'AUTH', '1102', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('1110', '编辑', 'Edit', 'LINK', '1100', '5', 'AUTH', '1102', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('1111', '导入学生', 'Import', 'BUTTON', '1100', '6', 'AUTH', '1103', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('1112', '导出学生', 'Export', 'BUTTON', '1100', '7', 'AUTH', '1104', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('1113', '删除', 'Delete', 'LINK', '1100', '8', 'AUTH', '1105', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('1114', '批量删除', 'DeleteBatch', 'BUTTON', '1100', '9', 'AUTH', '1105', '1', '0', '1');

ALTER TABLE `teach_course` 
CHANGE COLUMN `basic_course_id` `basic_course_id` BIGINT NULL COMMENT '基础课程id' ;

INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1115', '教学课程-查询课程权重设置状态', '/api/admin/teach/course/find_course_weight_setting_status', 'URL', '841', '14', 'AUTH', '1', '1', '1');
-- 课程目标管理权限设置
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1116', '课程目标管理-列表查询', '/api/admin/teach/course_target/list', 'URL', '841', '15', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1117', '课程目标管理-同步题库知识点', '/api/admin/teach/course_target/dimension_sync_tiku', 'URL', '841', '16', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1118', '课程目标管理-导入课程知识点', '/api/admin/teach/course_target/dimension_import', 'URL', '841', '17', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1119', '课程目标管理-课程知识点树查询', '/api/admin/teach/course_target/dimension_tree', 'URL', '841', '18', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1120', '课程目标管理-新增/编辑', '/api/admin/teach/course_target/save', 'URL', '841', '19', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1121', '课程目标管理-删除', '/api/admin/teach/course_target/delete', 'URL', '841', '20', 'AUTH', '1', '1', '1');

-- 课程评价方式管理权限设置
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1122', '评价方式管理-列表查询', '/api/admin/teach/course_evaluation/list', 'URL', '841', '21', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1123', '评价方式管理-新增', '/api/admin/teach/course_evaluation/save', 'URL', '841', '22', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1124', '评价方式管理-删除', '/api/admin/teach/course_evaluation/delete', 'URL', '841', '23', 'AUTH', '1', '1', '1');

-- 课程权重设置权限设置
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1125', '权重设置-查询', '/api/admin/teach/course_weight/find', 'URL', '841', '24', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1126', '权重设置-保存', '/api/admin/teach/course_weight/save', 'URL', '841', '25', 'AUTH', '1', '1', '1');

UPDATE `sys_privilege` SET `related` = '77,842,843,844,845,846,847,848,849,850,851,852,853,866,1115,1116,1117,1118,1119,1120,1121,1122,1123,1124,1125,1126' WHERE (`id` = '841');

